elfert
发表于 2022-7-6 09:23:37
Year i know that it possible to filter out using quick select. Just one problem we sometimes have a lot sheet metal cuts geometry that has to be a polyline and layer 0. So i need to write a routine ´that could easy find all Poly lines that is laying on AM_0 and move it to 0. Thx any way. I am thing about to make it more advance so it don't look only for layer AM_0 but any poly line that is different from layer 0. Any suggestion?
BlackBox
发表于 2022-7-6 09:28:48
Give this a try :wink::
(defun c:FOO ( / ss) (if (setq ss (ssget "_x" (list '(0 . "*POLYLINE") '(8 . "AM_0") (cons 410 (getvar 'ctab))))) (sssetfirst nil ss)) (princ))